version: "3.9"

services:
  backend:
    image: unified-restaurant-backend
    ports:
      - 8080:8080

  frontend:
    image: unified-restaurant-frontend
    ports:
      - 4200:80

  database:
    image: postgres:13
    restart: unless-stopped
    environment:
      POSTGRES_PASSWORD: admin
      PGDATA: "/var/lib/postgresql/data/pgdata"
    volumes:
      - ./database/init:/docker-entrypoint-initdb.d
      - database:/var/lib/postgresql/data
    ports:
      - 5400:5432

  cache: 
    image: redis
    restart: unless-stopped
    volumes:
      - cache:/data

volumes:
  database:
  cache:

